import { INITIAL_VALUE, FONT_12 } from './utils'

const emptyFunc = () => {}

export const defaultProps = {
  html: INITIAL_VALUE,
  rows: 1,
  floatingToolbar: false,
  justifyDefault: true,
  spellCheck: true,
  readOnly: false,
  adornment: { align: 'right', onEvent: false },
  placeholder: '',
  autoFocus: false,
  onChange: emptyFunc,
  onFocus: emptyFunc,
  onBlur: emptyFunc,
  upload: false,
  defaultFontSize: FONT_12,
  dynamicValues: [],
  enabledModules: {
    bold: true,
    italic: true,
    underline: true,
    code: true,
    fontSize: true,
    sob: true,
    sub: true,
    alignment: true,
    tab: true,
    quote: true,
    bulletedList: true,
    numberedList: true,
    paragraphBelow: true,
    paragraphAbove: true,
    table: true,
    container: true,
    horizontalRuler: true,
    math: true,
    tex: true,
    dynamicValue: true,
    image: true,
    video: true,
    audio: true,
    youtubeVideo: true,
    caption: false,
  },
}
